import request from '@/utils/request'

// 查询欧盟不合格商品展示列表
export function listEu(query) {
  return request({
    url: '/bus/eu/list',
    method: 'get',
    params: query
  })
}

// 查询欧盟不合格商品展示详细
export function getEu(id) {
  return request({
    url: '/bus/eu/' + id,
    method: 'get'
  })
}

// 新增欧盟不合格商品展示
export function addEu(data) {
  return request({
    url: '/bus/eu',
    method: 'post',
    data: data
  })
}

// 修改欧盟不合格商品展示
export function updateEu(data) {
  return request({
    url: '/bus/eu',
    method: 'put',
    data: data
  })
}

// 删除欧盟不合格商品展示
export function delEu(id) {
  return request({
    url: '/bus/eu/' + id,
    method: 'delete'
  })
}
// 手动触发爬虫
export function manualCrawl() {
  return request({
    url: '/bus/eu/manual',
    method: 'post'
  })
}

